ADDUSER(8)

BEZEICHNUNG
adduser, addgroup - Benutzer oder Gruppen im System hinzufügen oder verändern

ÜBERSICHT
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment Kommentar] [--conf Datei] [--debug] [--disabled-login] [--disabled-password] [--firstgid Kennung] [--firstuid Kennung] [--gid Kennung] [--home Verzeichnis] [--ingroup Gruppe] [--lastgid Kennung] [--lastuid Kennung] [--no-create-home] [--shell Shell] [--quiet] [--uid Kennung] [--verbose] Benutzer
adduser --system [--comment Kommentar] [--conf Datei] [--debug] [--gid Kennung] [--group] [--home Verzeichnis] [--ingroup Gruppe] [--no-create-home] [--shell Shell] [--uid Kennung] [--quiet] [--verbose] Benutzer
adduser --group [--conf Datei] [--debug] [--firstgid Kennung] [--gid Kennung] [--lastgid Kennung] [--quiet] [--verbose] group
addgroup [--conf Datei] [--debug] [--firstgid Kennung] [--gid Kennung] [--lastgid Kennung] [--quiet] [--verbose] group
addgroup --system [--gid Kennung] [--conf Datei] [--quiet] [--verbose] group
adduser [--conf Datei] [--debug] [--quiet] [--verbose] Benutzer Gruppe
adduser --help
adduser --version

BESCHREIBUNG
Die Befehle adduser und addgroup fügen im System Benutzer und Gruppen unter Berücksichtigung der Befehlszeilen-Optionen und der Konfigurationsinformationen in /etc/adduser.conf hinzu. Sie sind freundlichere Oberflächen für systemnahe Werkzeuge wie die Programme useradd, groupadd und usermod. Standardmäßig werden zu der Debian-Richtlinie konforme Werte für UID und GID gewählt, ein Home-Verzeichnis mit einer Gerüstkonfiguration eingerichtet, ein benutzerdefiniertes Skript und andere Funktionen ausgeführt.

adduser und addgroup sind als Schicht für Richtlinien gedacht und erleichtern Paketbetreuern und lokalen Administratoren die Erstellung lokaler Systemkonten auf eine Art, wie Debian deren Erstellung erwartet. Sie übernehmen dabei die Last, sich an die möglicherweise ändernden Anforderungen der Debian-Richtlinien anzupassen. Im Besonderen benötigt adduser --system nur einen einzigen Aufruf in den Paketbetreuerskripten, keine zusätzlichen Wrapper, Fehlerunterdrückungen oder andere Hilfskonstrukte.

adduser respektiert die Unterscheidung zwischen dynamisch zugewiesenen Systembenutzern und -gruppen und dynamisch zugewiesenen Benutzerkonten, die in den Debian-Richtlinien, Kapitel 9.2.2 beschrieben ist.

Eine vollständige Liste und Beschreibungen aller Optionen finden Sie im Abschnitt OPTIONEN.

adduser und addgroup können in einem von fünf Modi betrieben werden:

  Einen normalen Benutzer hinzufügen
Wird adduser ohne die Optionen --system oder --group und mit einem Argument, das keine Option ist, aufgerufen, richtet adduser einen normalen Benutzer ein. Dies ist ein dynamisch zugewiesenes Benutzerkonto im Sinne der Debian-Richtlinien. Im Kontext von adduser wird dies typischerweise als Nicht-Systembenutzer bezeichnet.

adduser wird die erste noch freie UID aus dem in der Konfigurationsdatei durch FIRST_UID und LAST_UID festgelegten Bereich auswählen. Der Bereich kann mit den Optionen --firstuid und --lastuid außer Kraft gesetzt werden. Schließlich kann die UID mit der Option --uid vollständig manuell gesetzt werden.

Standardmäßig erhält jeder Benutzer eine entsprechende Gruppe mit dem gleichen Namen. Dies wird typischerweise Benutzergruppen genannt und erlaubt die leichte Verwaltung von gruppenbeschreibbaren Verzeichnissen, indem die geeigneten Benutzer in die neue Gruppe abgelegt, das Bit set-group-ID im Verzeichnis gesetzt und sichergestellt wird, dass alle Benutzer über die Umask 002 verfügen.

Für eine Benutzergruppe wird adduser die erste noch freie GID aus dem in der Konfigurationsdatei durch FIRST_GID und LAST_GID festgelegten Bereich auswählen. Der Bereich kann mit den Optionen --firstgid und --lastgid außer Kraft gesetzt werden. Des Weiteren kann die GID mit der Option --gid vollständig manuell gesetzt werden.

Die Wechselwirkung zwischen USERS_GID, USERS_GROUP und USERGROUPS wird im Detail in adduser.conf(5) beschrieben.

Die Voreinstellung für die primäre Gruppe des Benutzers kann auf der Befehlszeile auch mit --gid und einer Gruppenkennung oder --ingroup und einem Gruppenamen außer Kraft gesetzt werden. Auch können Benutzer zu ergänzenden Gruppen hinzugefügt werden, die als EXTRA_GROUPS in der Konfigurationsdatei entweder durch Setzen von ADD_EXTRA_GROUPS auf 1 in der Konfigurationsdatei oder durch Angabe von --add-extra-groups auf der Befehlszeile angegeben wurden.

adduser kopiert Dateien aus /etc/skel in das Home-Verzeichnis und bittet um Eingaben für das Kommentarfeld und ein Passwort, falls sich diese Funktionen nicht aufgrund von Eingaben auf der Befehlszeile erübrigen.

UID, Kommentare, Home-Verzeichnis und die Shell können mit den Optionen UID_POOL und GID_POOL vorabbestimmt sein, siehe adduser.conf(5).

  Einen System-Benutzer hinzufügen
Wird adduser mit einem Argument, das keine Option ist, und der Option --system aufgerufen, dann wird adduser einen dynamisch zugewiesenen Systembenutzer, im Kontext des Pakets adduser oft als Systembenutzer abgekürzt, hinzufügen.

adduser wird die erste noch freie UID aus dem in der Konfigurationsdatei durch FIRST_SYSTEM_UID und LAST_SYSTEM_UID festgelegten Bereich auswählen. Dies kann mit der Option --uid außer Kraft gesetzt werden.

Standardmäßig werden Systembenutzer Mitglieder der Gruppe nogroup. Soll der neue Systembenutzer Mitglied in einer bereits bestehenden Gruppe werden, nutzen Sie die Optionen --gid oder --ingroup. Falls --group angegeben ist und eine identisch benannte Gruppe nicht bereits existiert, dann wird sie mit der gleichen Kennung erstellt.

Falls kein Home-Verzeichnis festgelegt ist, ist das Standard-Home-Verzeichnis für einen neuen Systembenutzer /nonexistent. Dieses Verzeichnis sollte niemals auf irgendeinem Debian-System existieren und adduser sollte es niemals automatisch erstellen.

Wird nicht explizit eine Shell mit der Option --shell gesetzt, dann wird diese für den neuen Systembenutzer auf /usr/sbin/nologin gesetzt. adduser --system setzt kein Passwort für das neue Konto. Die Gerüstkonfigurationsdateien werden nicht kopiert.

Andere Optionen verhalten sich wie bei der Erstellung normaler Benutzer. Die von UID_POOL und GID_POOL referenzierten Dateien funktionieren auch.

  Eine Gruppe hinzufügen
Wird adduser mit der Option --group und ohne die Option --system aufgerufen oder wird addgroup aufgerufen, wird eine Benutzergruppe hinzugefügt.

Eine dynamisch zugewiesene Systemgruppe wird oft im Kontext des Pakets adduser als Systemgruppe abgekürzt und wird erstellt, falls adduser mit der Option --system aufgerufen wird.

Es wird eine GID aus dem zugehörigen, in der Konfigurationsdatei für GIDs festgelegten Bereich (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID) gewählt. Sie können diesen Mechanismus außer Kraft setzen, indem Sie die GID mit der Option --gid festlegen.

Für Nicht-Systemgruppen kann der in der Konfigurationsdatei festgelegte Bereich mit den Optionen --firstgid und --lastgid außer Kraft gesetzt werden.

Die Gruppe wird ohne Mitglieder erzeugt.

  Einen bestehenden Benutzer zu einer bestehenden Gruppe hinzufügen
Wird adduser mit zwei Argumenten, die keine Option sind, aufgerufen, wird ein bestehender Benutzer zu einer bestehenden Gruppe hinzugefügt.

OPTIONEN
Verschiedene Modi von adduser erlauben verschiedene Optionen. Falls keine gültigen Modi für eine Option aufgeführt sind, wird sie in allen Modi akzeptiert.

Aus historischen Gründen können für bestimmte Aktionen Kurzversionen der Optionen existieren. Sie werden weiterhin unterstützt, aber aus der Dokumentation entfernt. Benutzern wird empfohlen, auf die lange Version der Optionen umzusteigen.

--add-extra-groups
    Fügt neue Benutzer zu den Gruppen hinzu, die in der Einstellung EXTRA_GROUPS in der Konfigurationsdatei definiert sind. Die alte Schreibweise --add_extra_groups ist veraltet und wird nur noch in Debian-Bookworm unterstützt. Gültige Modi: adduser, adduser --system.

--allow-all-names
    Erlaubt jeden Benutzer- und Gruppennamen, der vom zugrundeliegenden useradd(8) unterstützt wird, einschließlich Namen mit Zeichen außerhalb von ASCII. Siehe GÜLTIGE NAMEN in adduser.conf(5). Gültige Modi: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    Deaktiviert die Namensprüfung NAME_REGEX und SYS_NAME_REGEX. Nur die schwächere Gültigkeitsprüfung von Namen wird angewandt. Siehe GÜLTIGE NAMEN in adduser.conf(5). Gültige Modi: adduser, adduser --system, addgroup, addgroup --system.

--comment Kommentar
    Setzt das Kommentarfeld für den neu erstellten Eintrag. Die Abfrage dieser Information durch adduser unterbleibt, wenn diese Option verwendet wird. Das Feld ist auch unter dem Namen GECOS bekannt und enthält Informationen, die vom Befehl finger(1) verwandt werden. Dies war früher die Option --gecos; diese ist veraltet und wird nach Debian Bookworm entfernt. Gültige Modi: adduser, adduser --system.

--conf Datei
    Datei anstelle von /etc/adduser.conf benutzen. Es können mehrere Optionen --conf angegeben werden.

--debug
    Aktiviert Fehlersuch-Code.

--disabled-login
--disabled-password
    Ruft passwd(1) nicht zum Setzen eines Passworts auf. Allerdings sind in den meisten Fällen Anmeldungen weiterhin möglich (beispielsweise über SSH-Schlüssel oder PAM). Die Gründe hierfür liegen außerhalb der Verantwortung von adduser. --disabled-login wird zusätzlich die Shell auf /usr/sbin/nologin setzen. Gültige Modi: adduser.

--firstuid Kennung
--lastuid Kennung
--firstgid Kennung
--lastgid Kennung
    Setzt die erste UID / letzte UID / erste GID / letzte GID für den Bereich, aus dem die Benutzerkennung gewählt wird (FIRST_UID, LAST_UID, FIRST_GID und LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID und LAST_SYSTEM_GID in der Konfigurationsdatei). Falls eine Gruppe als Benutzergruppe erstellt wird, werden --firstgid und --lastgid ignoriert. Die Gruppe erhält die gleiche Kennung wie der Benutzer. Gültige Modi: adduser, adduser --system, für --firstgid und --lastgid auch addgroup.

--force-badname
--allow-badname
    Dies sind veraltete Formen für --allow-bad-names. Sie werden während des Veröffentlichungszyklus der Debian-Veröffentlichung nach Bookworm entfernt.

--gid Kennung
    Bei der Erstellung einer Gruppe setzt diese Option die Gruppenkennungsnummer der neuen Gruppe auf GID. Bei der Erstellung eines Benutzers setzt diese Option die primäre Gruppenkennungsnummer des neuen Benutzers auf GID. Gültige Modi: adduser, adduser --system, addgroup, addgroup --system.

--group
    Die Verwendung dieser Option in adduser --system zeigt an, dass der neue Benutzer eine identisch benannte Gruppe als primäre Gruppe erhalten soll. Falls diese identisch benannte Gruppe noch nicht existiert, wird sie erstellt. Wird sie nicht zusammen mit --system verwendet, wird eine Gruppe mit dem angegebenen Namen erstellt. Letzteres ist das Standardverhalten, wenn das Programm als addgroup aufgerufen wird. Gültige Modi sind adduser --system, addgroup, addgroup --system.

--help
    Kurzanleitung anzeigen

--home Verzeichnis
    Verwendet Verzeichnis als Home-Verzeichnis des Benutzers anstatt der in der Konfigurationsdatei festgelegten Vorgabe (oder /nonexistent, falls adduser --system verwandt wird). Existiert das Verzeichnis nicht, wird es erzeugt. Gültige Modi: adduser, adduser --system.

--ingroup GRUPPE
    Bei der Erstellung eines Benutzers setzt diese Option die primäre Gruppenkennung des Benutzers auf die Gruppenkennung der benannten Gruppe. Anders als bei der Option --gid wird die Gruppe hier über den Namen anstelle der numerischen Kennungsnummer angegeben. Die Gruppe muss bereits existieren. Gültige Modi: adduser, adduser --system.

--lastuid Kennung
--lastgid Kennung
    Setzt die letzte UID / GID außer Kraft. Siehe --firstuid.

--no-create-home
    Erstellt kein Home-Verzeichnis für den neuen Benutzer. Beachten Sie, dass der Pfadname für das Home-Verzeichnis des neuen Benutzers weiterhin in das entsprechende Feld in der Datei /etc/passwd eingetragen wird. Die Verwendung dieser Option impliziert nicht, dass das Feld leer sein soll. Stattdessen zeigt sie adduser an, dass ein anderer Mechanismus für die Initialisierung des Home-Verzeichnisses des neuen Benutzers verantwortlich ist. Gültige Modi: adduser, adduser --system.

--quiet
    Meldungen mit Informationscharakter unterdrücken, nur Warnungen und Fehler anzeigen

--shell Shell
    Verwendet Shell als Anmelde-Shell des Benutzers anstatt der in der Konfigurationsdatei festgelegten Vorgabe (oder /usr/sbin/nologin, falls adduser --system verwandt wird). Gültige Modi: adduser, adduser --system.

--system
    Normalerweise erstellt adduser dynamisch zugewiesene Benutzerkonten und -gruppen, wie in den Debian-Richtlinien, Kapitel 9.2.2 definiert. Mit dieser Option erstellt adduser dynamisch zugewiesene Systembenutzer und -gruppen und ändert seinen Modus entsprechend. Gültige Modi: adduser, addgroup.

--uid Kennung
    Die Option soll die Kennung des neuen Benutzers auf die angegebene Zahl setzen. Adduser wird fehlschlagen, wenn die Benutzerkennung bereits vergeben ist. Gültige Modi: adduser, adduser --system.

--verbose
    Ausführlichere Ausgabe.

-v , --version
    Anzeige der Version und von Copyright-Informationen

RÜCKGABEWERTE

0   Erfolg: Der angegebene Benutzer oder die angegebene Gruppe existiert. Das kann zwei Gründe haben: Der Benutzer oder die Gruppe wurde von diesem Aufruf von adduser erzeugt oder der angegebene Benutzer oder die angegebene Gruppe war schon vor dem Aufruf von adduser im System eingerichtet. Wird adduser --system für einen bereits als Systembenutzer bestehenden Benutzer aufgerufen, dann wird es auch 0 zurückliefern.

1   Das Erzeugen des Nicht-Systembenutzers oder der Gruppe schlug fehl, weil er/sie schon existiert. Der Benutzer- oder Gruppenname wurden abgewiesen, weil er nicht zu den konfigurierten regulären Ausdrücken passte (siehe adduser.conf(5)). adduser wurde mit einem Signal abgebrochen.

Oder es war einer von vielen anderen noch undokumentierten Gründen, die dann auf der Konsole ausgegeben werden. Sie können dann überlegen, ob Sie adduser ohne --quiet aufrufen, um mehr Einzelheiten auszugeben.

SICHERHEIT
adduser benötigt Systemadministratorberechtigungen. Es bietet über die Befehlszeilenoption --conf die Möglichkeit, verschiedene Konfigurationsdateien zu verwenden. Verwenden Sie nicht sudo(8) oder ähnliche Befehle, um Teilprivilegien an adduser mit beschränkten Befehlszeilenparameter zu geben. Dies kann leicht umgangen werden und könnte Benutzern erlauben, beliebige Konten zu erstellen. Falls Sie dies erreichen wollen, entwickeln Sie Ihr eigenes Skript, das adduser kapselt, und vergeben Sie Privilegien, um diese Skript aufzurufen.

DATEIEN

/etc/adduser.conf
    Standard-Konfigurationsdatei für adduser(8) und addgroup(8)

/usr/local/sbin/adduser.local
    Optionale benutzerspezifische Erweiterungen, siehe adduser.local(8)

ANMERKUNGEN
Unglücklicherweise wird der Begriff Systemkonto unter Debian in zwei Bedeutungen verwandt. In beiden Bedeutungen ist es ein Konto für das tatsächliche Debian-System, das sich von einem Anwendungskonto unterscheidet, das in der Benutzerdatenbank einer beliebigen, unter Debian betriebenen Anwendung vorhanden ist. Ein Systemkonto in dieser Definition verfügt über die Möglichkeit, sich am tatsächlichen System anzumelden, hat eine UID, kann Mitglied in Systemgruppen sein, kann Dateien und Prozesse besitzen. Im Gegensatz dazu unterscheiden die Debian-Richtlinien in Kapitel 9.2.2 zwischen dynamisch zugewiesenen Systembenutzern -und -gruppen und dynamisch zugewiesenen Benutzerkonten. Beides sind Sonderfälle eines Systemkontos. Die beiden Begriffswelten dürfen nicht durcheinander gebracht werden. Da adduser und deluser(8) niemals Anwendungskonten adressieren und sich alles in diesem Paket um Systemkonten dreht, ist die Verwendung des Ausdrucks Benutzerkonto und Systemkonto in dem Kontext dieses Paketes tatsächlich eindeutig. Zur Klarheit verwendet dieses Dokument die Definition lokales Systemkonto oder lokale Systemgruppe, falls die Unterscheidung zu Anwendungskonten oder Konten, die durch Verzeichnisdienste verwaltet werden, benötigt wird.

Früher, seit den 1990er Jahren, hatte adduser die Vision, die universelle Oberfläche zum Erstellen und Entfernen normaler und Systemkonten für die verschiedenen Verzeichnisdienste zu sein. Diese Vision wurde 2022 aufgegeben. Der Grund hierfür ist unter anderem, dass in der Praxis ein kleines Serversystem sowieso keinen Schreibzugriff auf einen firmenweiten Verzeichnisdienst hat und dass lokal installierte Pakete schwierig mit zentral gesteuerten Systemkonten zu verwalten sind, dass firmenweite Verzeichnisdienste über zentral gesteuerte Systemkonten verfügen, dass firmenweite Verzeichnisdienste sowieso ihre eigene Verwaltungsprozesse haben und dass die Personalstärke des adduser-Teams wahrscheinlich niemals so groß sein wird, um die Unterstützung für die Vielzahl an Verzeichnisdiensten, die das benötigen, zu schreiben und zu betreuen.

adduser beschränkt sich darauf, eine Richtlinienoberfläche für die Verwaltung lokaler Systemkonten zu sein. Dabei werden die Werkzeuge des Pakets password für die eigentliche Arbeit verwandt.

FEHLER
Inkonsistente Verwendung von Begriffen rund um den Ausdruck Systemkonto in der Dokumentation und den Programmen ist ein Fehler. Bitte berichten Sie dies, um uns zu ermöglichen, die Dokumentation zu verbessern.

adduser berücksichtigt besonders die direkte Verwendbarkeit in Debian-Betreuerskripten ohne fallweise Wrapper, Fehlerunterdrückung und anderem zusätzlichem Rüstwerk. Das einzige, was im Paketbetreuerskript programmiert werden sollte, ist eine Prüfung auf das Vorhandensein des Programms im Skript postrm. Die Betreuer von adduser betrachten die Notwendigkeit für zusätzliches Rüstwerk als einen Fehler und ermutigen ihre Mit-Debian-Paketbetreuer, in diesem Fall Fehler gegen das Paket adduser einzureichen.

SIEHE AUCH
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), Debian-Richtlinien 9.2.2.